SystemOrganization addCategory: #'RKA24-View'!
SystemOrganization addCategory: #'RKA24-Model'!
SystemOrganization addCategory: #'RKA24-Test'!
SystemOrganization addCategory: #'RKA24-System'!
SystemOrganization addCategory: #'RKA24-Session'!
SystemOrganization addCategory: #'RKA24-Pdf'!

!Duration methodsFor: '*RKA24-Model' stamp: 'sabine 10/31/2012 11:34'!
printStringHours
	"only for durations max 1 day length"

	^ self days = 1
		ifTrue: [ '24:00' ]
		ifFalse: [ self hours printString , ':' , self minutes printString ]! !

!Number methodsFor: '*RKA24-Model' stamp: 'sabine 10/29/2012 15:39'!
asGermanNoDecimalsEuroString
	^ (self printShowingDecimalPlaces: 0) , ' ' , RKATranslator euroSign! !

Object subclass: #RKATheme
	instanceVariableNames: 'theme description themeName'
	classVariableNames: 'themes'
	poolDictionaries: ''
	category: 'RKA24-System'!

!RKATheme class methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:36'!
defaultTheme
	^ self themes first! !

!RKATheme class methodsFor: 'accessing' stamp: 'sabine 10/31/2012 13:01'!
defaultThemes
	^ self themesArray
		inject: OrderedCollection new
		into: [ :oc :ele | 
			oc
				add:
					(self new
						theme: (ele at: 1);
						description: (ele at: 2);
						themeName: (ele at: 3)).
			oc ]! !

!RKATheme class methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:46'!
themes
	"RKADatabase persons do:[:each| each defaultTheme: RKATheme defaultTheme ]"

	themes ifNil: [ self themes: self defaultThemes ].
	^ themes! !

!RKATheme class methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:15'!
themes: anObject
	themes := anObject! !

!RKATheme class methodsFor: 'accessing' stamp: 'sabine 10/31/2012 13:18'!
themesArray
	^ {{JQStartTheme.
	'grn-blau, empfohlen'.
	'start'}.
	{JQUiLightnessTheme.
	'orange-blau, empfohlen'.
	'ui-lightness'}.
	{JQExciteBikeTheme.
	'orange-blau, empfohlen'.
	'excite-bike'}.
	{JQBlitzerTheme.
	'rot-blau'.
	'blitzer'}.
	{JQCupertinoTheme.
	'hellblau'.
	'cupertino'}.
	{JQFlickTheme.
	'flicker'.
	'flick'}.
	{JQHotSneaksTheme.
	'blau-rot'.
	'hot-sneaks'}.
	{JQRedmondTheme.
	'hellblau'.
	'redmond'}.
	{JQSmoothnessTheme.
	'grau'.
	'smoothness'}}! !

!RKATheme class methodsFor: 'accessing' stamp: 'sabine 10/31/2012 13:05'!
themesArrayALL
	^ {{JQBlackTieTheme.
	'description'.
	'black-tie'}.
	{JQBlitzerTheme.
	'description'.
	'blitzer'}.
	{JQCupertinoTheme.
	'description'.
	'cupertino'}.
	{JQDarkHiveTheme.
	'description'.
	'dark-hive'}.
	{JQDotLuvTheme.
	'description'.
	'dot-luv'}.
	{JQEggplantTheme.
	'description'.
	'eggplant'}.
	{JQExciteBikeTheme.
	'description'.
	'excite-bike'}.
	{JQFlickTheme.
	'description'.
	'flick'}.
	{JQHotSneaksTheme.
	'description'.
	'hot-sneaks'}.
	{JQHumanityTheme.
	'description'.
	'humanity'}.
	{JQLeFrogTheme.
	'description'.
	'le-frog'}.
	{JQMintChocTheme.
	'description'.
	'mint-choc'}.
	{JQOvercastTheme.
	'description'.
	'overcast'}.
	{JQPepperGrinderTheme.
	'description'.
	'pepper-grinder'}.
	{JQRedmondTheme.
	'description'.
	'redmond'}.
	{JQSmoothnessTheme.
	'description'.
	'smoothness'}.
	{JQSouthStreetTheme.
	'description'.
	'south-street'}.
	{JQStartTheme.
	'description'.
	'start'}.
	{JQSunnyTheme.
	'description'.
	'sunny'}.
	{JQSwankyPurseTheme.
	'description'.
	'swanky-purse'}.
	{JQTrontasticTheme.
	'description'.
	'trontastic'}.
	{JQUiDarknessTheme.
	'description'.
	'ui-darkness'}.
	{JQUiLightnessTheme.
	'description'.
	'ui-lightness'}.
	{JQVaderTheme.
	'description'.
	'vader'}}! !

!RKATheme methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:24'!
description
	^ description! !

!RKATheme methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:24'!
description: anObject
	description := anObject! !

!RKATheme methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:24'!
theme
	^ theme! !

!RKATheme methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:24'!
theme: anObject
	theme := anObject! !

!RKATheme methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:51'!
themeName
	^ themeName! !

!RKATheme methodsFor: 'accessing' stamp: 'sabine 10/31/2012 12:51'!
themeName: anObject
	themeName := anObject! !

!RKATheme methodsFor: 'accessing' stamp: 'sabine 10/31/2012 13:14'!
themeNameAndDescription
	^ '{1} ({2})'
		format:
			{(self themeName).
			(self description)}! !
